Subject: Re: bash fails to redirect inside script
From: Corinna Vinschen <[email-masked]>
To: Tas van Ommen <[email-masked]>
Cc: [email-masked]
Date: Fri, 19 May 2000 10:59:43 +0200

Tas van Ommen wrote:
> 
> I have just installed net version of cygwin.
> 
> I have the following script
> #!/bin/bash
> echo "Hello" > x.x
> 
> So I execute it:
> BASH.EXE-2.03$ . temp.bash
> : No such file or directory
> 
> What is happening?  I have a /tmp directory.  I can do either of
> sh temp.bash
> 
> or type echo "Hello" > x.x manually without the error.
> 
> Any advice?

Your script has DOS line endings but the script is
on a binary mounted file system. You should change
the \r\n line endings to the U*X style \n and your
script should work.

-- 
Corinna Vinschen
Cygwin Developer
Cygnus Solutions, a Red Hat company

--
Want to unsubscribe from this list?
Send a message to [email-masked]